=== images/splash/CMakeLists.txt ===

FILE (GLOB IMAGES *.png)

INSTALL (FILES ${IMAGES}
         DESTINATION ${QGIS_DATA_DIR}/images/splash)
