=== python/plugins/CMakeLists.txt ===
SUBDIRS(plugin_installer mapserver_export fTools GdalTools osm)
