=== debian/changelog ===
qgis (1.7.4+1.7.5~20120320-1.1ubuntu1) saucy; urgency=low

  * Rebuild against grass643.
  * Update FindPythonLibrary.cmake to fix FTBFS against multi-arched Python.
    (LP: #1010508)
  * 30_sip_415.patch: Cherry-picked from upstream, to build against sip >=
    4.15.

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 19 Sep 2013 16:14:54 +0200

qgis (1.7.4+1.7.5~20120320-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS with gcc 4.7 due to uncoordinated gcc-defaults switch, patch
    by Steven Chamberlain, thanks! (Closes: #673567)
    - 10_fix_gcc4.7_build.patch
  * Set urgency to “high” for the RC bug fix, needed for the gdal
    transition.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 22 May 2012 02:34:43 +0200

qgis (1.7.4+1.7.5~20120320-1) unstable; urgency=low

  The "Sometimes they come back" release.

  * Branching from Qgis tree and adapting to current Debian Policy and
    standards. The target tree is currently set to release-1.7.
    (closes: #661491, #606304, #615683, #616182, #600308)
  * Policy bumped to 3.9.3.
  * Moving to debhelper compatibility level 9.
  * Source format is now 3.0 with quilt support.
  * Merged with 2bf42287 upstream git snapshot.
  * Migrated to dh_python2 instead of python-central.
    (closes: #617048)
  * Snapshot in qgis.org release-1.7: c936d031
  * Added an automagic creation of a lintian override for sqlite embedding.
    This is required for uploading currently.
  * Added missing ${misc:Depends} to make lintian happy.
  * Copyright notes updated and debian/copyright moved to format 1.0.
  * More licenses notices now reported in debian/copyright. Thanks ftpmasters.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 24 Apr 2012 15:12:20 +0200

qgis (1.7.4-1) UNRELEASED; urgency=low

  * new upstream bugfix release

 -- Jürgen E. Fischer <jef@norbit.de>  Sun, 19 Feb 2012 22:35:23 +0100

qgis (1.7.3-1) UNRELEASED; urgency=low

  * new upstream bugfix release

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 10 Dec 2011 17:17:57 +0100

qgis (1.7.2-1) UNRELEASED; urgency=low

  * new upstream bugfix release

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 16 Nov 2011 21:43:47 +0100

qgis (1.7.0) UNRELEASED; urgency=low

  * new development version 1.7 after branch
  * add qgis-sqlanywhere1.7.0 package
  * add road graph plugin
  * drop quickprint and ogrconverter plugin
  * add gdal provider
  * turn qgis-providers-common's architecture to all
  * include api documentation
  * Missing ${python:Depends} added to python-qgis dependencies
    (closes: #611492)
  * move qgis_help to /usr/lib/qgis (closes: #615833)

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 24 Mar 2011 00:24:01 +0100

qgis (1.6.0) UNRELEASED; urgency=low

  * new development version 1.6 after branch
  * qgis-plugin-grass-common breaks earlier versions of qgis-common: add
    control fields.
  * include displacementplugin and offline editing plugin
  * add subversion as build dependency for trunk
  * add qgis-mapserver package
  * trim dependencies
 
 -- Jürgen E. Fischer <jef@norbit.de>  Sun, 17 Oct 2010 12:09:23 +0200

qgis (1.5.0) UNRELEASED; urgency=low

  * new development version 1.5 after branch
  * adapted Francesco Paolo Lovergine's updates to Debian qgis 1.4 package
  * require CMake >2.6 and Qt 4.4
  * remove circular dependencies
  * integrate new GRASS raster provider and remove dependency to
    libgdal1-$VERSION-grass
  * add spatialquery plugin
  * include qgis.g.browser in grass plugin
  * drop symbol tracking as C++ ABIs change too frequently
  * exclude python scripts from grass plugin on lenny
  * add missing dependency to python-sip(4) to python-qgis
  * follow sip4 => sip transition
  * add gdal-bin and python-gdal dependency for GdalTools
  * trim build dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 23 Jun 2010 18:34:25 +0200

qgis (1.4.0) UNRELEASED; urgency=low

  * new development version after 1.3 branch
  * use templates for configuration for ABIs and distributions
  * policy updated to 3.8.3
  * remove README.Debian from libqgis-dev
  * add symbol files for shared libraries
  * shorten qgis.sh
  * add all python files in qgis' site-packages
  * add labeling plugin

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 17 Nov 2009 16:27:53 +0100
