=== debian/watch ===
version=3
http://download.osgeo.org/qgis/src/qgis_(.*).tar.gz
